ymira(1)

NAME
ymira - reconstruct an image from optical interferometric data

SYNOPSIS
ymira [OPTION]... INPUT... OUTPUT

DESCRIPTION

MiRA is a software to reconstruct images from optical interferometric data. The algorithm performs a regularized fit of the data with additional constraints such as normalization and lower and/or upper bounds.

INPUT... are the input OI-FITS data file(s) and OUTPUT is the result saved into a FITS file.

OPTIONS
Options are introduced by a word prefixed with one or two hyphens (at your convenience). In case the first input file starts with an hyphen, a double hyphen can be used to indicate the end of the options.

Some options have units. Angles must be suffixed with mas, milliarcsec, milliarcsecond, milliarcseconds, deg, degree, degrees, rad, radian or radians. Lengths must be suffixed with m, meter, meters, mm, millimeter, millimeters, µm, micron, microns, micrometer, micrometers, nm, nanometer or nanometers.

Some options may take several values which are separated by commas.

  Data Selection
The following options can be used to select which data to consider. If no spectral range is given (either with options -effwave and -effband or with options -wavemin and -wavemax), an image is reconstructed from all available wavelengths.

-target=name
    Specify the name of the astrophysical object. This option is used to select a specific target from the input file(s). If there is a single target which is identical in all input files, this option may be omitted.

-effwave=length
    Specify the effective wavelength; for example, -effwave=1.6micron. This is the central wavelength of the spectral range to consider.

-effband=length
    Specify the effective bandwidth; for example, -effband=200nm. This the full width of the spectral range to consider.

-wavemin=length
    Specify the minimum wavelength; for example, -wavemin=1.5µm. This the lower bound of the spectral range to consider.

-wavemax=length
    Specify the maximum wavelength; for example, -wavemin=1.7µm. This the upper bound of the spectral range to consider.

  Image Settings
At least the pixel size (with option -pixelsize) and the image dimensions (with options -fov or -dim) must be specified.

-pixelsize=angle
    Specify the angular size of pixels. For example, -pixelsize=0.1mas.

-fov=angle
    Specify the angular size of the field of view. For example, -fov=20mas.

-dim=number
    Specify the number of pixels per side of the image. For example, -dim=200.

-normalization=value
    Specify the sum of pixels. A recommended setting is: -normalization=1.

-min=lower
    Specify the lower bound for the pixel values. A recommended setting is:-min=0.

-max=upper
    Specify the upper bound for the pixel values.

  Direct Model

-xform=name
    Specify the method to compute the nonequispaced Fourier transform. Argument name can be nfft, exact or fft (the latter value is however not recommended).

  Regularization Settings

-regul=name
    Specify the name of the regularization method.

-mu=value(s)
    Specify the global regularization weight(s) µ. If a single value is given, it will be used for all reconstructions. If two values are given (separated by comas), a different value of µ will be used for each reconstructions with the values of µ spaced at equal ratios from start to stop (that is, equally spaced logarithmically).

-tau=value
    Specify the edge preserving threshold. value must be strictly positive.

-eta=value(s)
    Specify the gradient scales along dimensions.

-gamma=angle
    Specify the a priori full half width at half maximum (FWHM). For example: -gamma=15mas.

  Initial Image

-initial=name
    Specify the FITS file or method for initial image.

-seed=value
    Specify the seed for the random generator.

  Reconstruction Strategy

-bootstrap=count
    Specify the number of bootstrapping iterations.

-recenter
    Recenter result of bootstrapping iterations.

-threshold=fraction
    Specify the level for soft-thresholding input image(s).

  Information and Graphics

-quiet
    Suppress most messages.

-verb=count
    Set the verbose level. Information will be printed every count iteration. Also see option -view.

-view=bits
    Bitwise value to specify which graphics to show each time some information is printed. The least significant bits of bits indicate which sub-panel to display. Use -view=0 to suppress all graphics and -view=-1 to show all graphics. The default is to not display anything. If some graphics are shown, the graphic window has to be closed at the end of the reconstruction to effectively quit the program.

  Optimizer Settings

-mem=number
    Specify the number of previous steps to memorize in VMLMB.

-ftol=real
    Specify the function tolerance for the global convergence.

-gtol=real
    Specify the gradient tolerance for the global convergence.

-maxiter=number
    Specify the maximum number of iterations for all reconstructions.

-maxeval=number
    Specify the maximum number of evaluations of the objective function for all reconstructions.

  Line Search Parameters

-sftol=real
    Specify the function tolerance for the line search.

-sgtol=real
    Specify the gradient tolerance for the line search.

-sxtol=real
    Specify the step tolerance for the line search.

  Output File

-overwrite
    Overwrite output file if it exists.

-bitpix=number
    Specify the bits per pixel for the output FITS file. Default is -32, that is 32-bit floating point values.

-save_initial
    Save initial image as a secondary HDU in the output file.

  Miscellaneous

-help
    Print out this help.

-version
    Print out version number.

AUTHOR
Éric Thiébaut <https://github.com/emmt/MiRA>

REFERENCES
Thiébaut, É.: MiRA: an effective imaging algorithm for optical interferometry, in SPIE Proc. Astronomical Telescopes and Instrumentation 7013, 70131I-1-70131I-12 (2008) <http://dx.doi.org/10.1117/12.788822>

Thiébaut, É. & Giovannelli, J.-F.: Image Reconstruction in Optical Interferometry, in IEEE Signal Processing Magazine 27, pp. 97-109 (2010) <http://dx.doi.org/10.1109/MSP.2009.934870>